function main = histtest(imbase)
close all;
imbase = imbase+1;
load myresult_50.mat;

filenum = 100;
methods = 5;
figure;
y=imhist(ims(:,:,:,imbase));
bar(y);

title('image hist of the base image');

for method_k = 1:methods
    figure;
    for k=1:filenum
        subplot(10,10,k);
        j=ind(method_k,k,imbase);
        image(ims(:,:,:,j));%title(j);
        axis off;
    end;
end;

figure;
for k = 1:methods
    subplot(2,3,k);
    curord = ord(k,:,imbase);
    plot(curord);
    title(strcat('method ',int2str(k)));
end;

return;
